<?php
/* --------------------------------------------------------------
   dependent.inc.php 2017-01-02
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2017 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Correction of the DHL parcel service description
 */
$dhlService = $this->query("SELECT * FROM `parcel_services_description` WHERE `url` = 'http://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc={TRACKING_NUMBER}&rf n=&extendedSearch=true'",
                           true);

while($dhlServiceRow = $dhlService->fetch_assoc()){
	$query  = "UPDATE `parcel_services_description` SET `url` = 'http://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc={TRACKING_NUMBER}&rfn=&extendedSearch=true' WHERE `parcel_service_id` = {$dhlServiceRow['parcel_service_id']}";
	$t_success &= is_numeric($this->query($query));
}

/**
 * Add transfer charge config for cod order total module
 */
$t_check = $this->query("SELECT * FROM `configuration` WHERE `configuration_key` = 'MODULE_ORDER_TOTAL_COD_FEE_STATUS'", true);
if($t_check->num_rows === 1)
{
	$t_check = $this->query("SELECT * FROM `configuration` WHERE `configuration_key` = 'MODULE_ORDER_TOTAL_COD_FEE_TRANSFER_CHARGE'", true);
	if($t_check->num_rows === 0)
	{
		$t_query = "INSERT INTO `configuration` (`configuration_key`, `configuration_value`, `configuration_group_id`, `sort_order`, `date_added`, `use_function`, `set_function`) VALUES
												('MODULE_ORDER_TOTAL_COD_FEE_TRANSFER_CHARGE', 'ap|00:0|chp|00:0|chronopost|00:0|dhl|00:0|dp|00:0|dpd|00:0|fedexeu|00:0|flat|00:0|free|00:0|freeamount|00:0|gambioultra|00:0|item|00:0|selfpickup|00:0|table|00:0|ups|00:0|upse|00:0|zones|00:0|zonese|00:0', 6, 0, NOW(), '', 'cfg_cod_fee_transfer_charge_form(')";
		$t_success &= (boolean)$this->query($t_query);
	}
}

$t_check = $this->query("SELECT `gm_value` FROM `gm_configuration` WHERE `gm_key` = 'GM_FOOTER'");
if(!empty($t_check))
{
	$oldValue = $t_check[0]['gm_value'];
	$newValue = preg_replace('/20[\d]{2}/', '2017', $oldValue);
	$t_query  = "UPDATE `gm_configuration` 
					SET `gm_value` = '" . $this->coo_mysqli->real_escape_string($newValue) . "' 
					WHERE `gm_key` = 'GM_FOOTER'";
	$t_success &= is_numeric($this->query($t_query));
}